Bug 62299 - kde-2.2.2 kpackage is broken by rpm-4.0.4
kde-2.2.2 kpackage is broken by rpm-4.0.4
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kpackage (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-29 06:37 EST by risc
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-29 06:37:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description risc 2002-03-29 06:37:54 EST
Description of Problem:



The new rpm errata for Red Hat Linux 7.2 has broken KDE-2.2.2s kpacakge it is linked against RPM-4.0.3.



Version-Release number of selected component (if applicable):



RPM-4.0.4 and KDEADMIN-2.2.2



How Reproducible:





Steps to Reproduce:

1. 

2. 

3. 



Actual Results:





Expected Results:





Additional Information:

	

[risc@nakedsoul risc]$ kpackage

kpackage: error while loading shared libraries: librpmbuild-4.0.3.so: cannot open shared object file: No such file or directory

[risc@nakedsoul risc]$ rpm -q kdeadmin

kdeadmin-2.2.2-2

[risc@nakedsoul risc]$ rpm -q rpm

rpm-4.0.4-7x

[risc@nakedsoul risc]$ locate librpmbuild

/usr/lib/librpmbuild.a

/usr/lib/librpmbuild.la

/usr/lib/librpmbuild.so

/usr/lib/librpmbuild-4.0.4.so

[risc@nakedsoul risc]$
Comment 1 Ngo Than 2002-03-31 05:48:57 EST
it's fixed in kdeadmin-2.2.2-3. You should download this version from ftp.redhat.com or 
over RHN.

Note You need to log in before you can comment on or make changes to this bug.